Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20221108
Release:	1
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
Source0:	https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/archive/microcode-%{version}.tar.gz
# Source0-md5:	faee8e038aa78c67e4fffa5fad1e4d31
BuildRequires:	iucode-tool
Provides:	microcode-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%package initrd
Summary:	Microcode for initrd
Summary(pl.UTF-8):	Mikrokod dla initrd
Group:		Base

%description initrd
Intel microcode for initrd.

%description initrd -l pl.UTF-8
Mikrokod dla procesorów Intel dla initrd.

%prep
%setup -q -n Intel-Linux-Processor-Microcode-Data-Files-microcode-%{version}

%build
%{_sbindir}/iucode_tool intel-ucode*/*-* -tb --write-to=microcode.bin

install -d kernel/x86/microcode
ln microcode.bin kernel/x86/microcode/GenuineIntel.bin
echo kernel/x86/microcode/GenuineIntel.bin | cpio -o -H newc -R 0:0 > intel-ucode.img

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/boot}

cp -a intel-ucode $RPM_BUILD_ROOT/lib/firmware
cp -p intel-ucode.img $RPM_BUILD_ROOT/boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md releasenote.md security.md
/lib/firmware/intel-ucode

%files initrd
%defattr(644,root,root,755)
%doc README.md releasenote.md security.md
/boot/intel-ucode.img
%changelog
* Tue Nov 08 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Tue Nov 08 2022 Jan Palus <atler@pld-linux.org> fa01103
- up to 20221108

* Tue Aug 09 2022 Jan Palus <atler@pld-linux.org> 62cba90
- up to 20220809

* Tue May 10 2022 Jan Palus <atler@pld-linux.org> 7bd824d
- up to 20220510

* Wed Apr 20 2022 Jan Palus <atler@pld-linux.org> fad5765
- up to 20220419

* Tue Feb 08 2022 Jan Palus <atler@pld-linux.org> 106fe5a
- up to 20220207

* Tue Jun 08 2021 Jan Palus <atler@pld-linux.org> c4bcc86
- up to 20210608

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> c36f492
- up to 20210216

* Wed Nov 18 2020 Jan Palus <atler@pld-linux.org> 6896c70
- up to 20201118

* Thu Nov 12 2020 Jan Palus <atler@pld-linux.org> d0bad5f
- up to 20201112

* Wed Nov 11 2020 Jan Palus <atler@pld-linux.org> c4da47d
- up to 20201110

* Tue Jun 16 2020 Jan Palus <atler@pld-linux.org> 7b50ece
- up to 20200616

* Wed Jun 10 2020 Jan Palus <atler@pld-linux.org> 167f5ab
- up to 20200609

* Thu May 21 2020 Jan Palus <atler@pld-linux.org> 71d67cf
- up to 20200520

* Sat May 09 2020 Jan Palus <atler@pld-linux.org> 0d526de
- up to 20200508

* Sat Nov 16 2019 Jan Palus <atler@pld-linux.org> dea2e98
- up to 20191115

* Thu Nov 14 2019 Jan Palus <atler@pld-linux.org> abf1710
- up to 20191113

* Tue Nov 12 2019 Jan Palus <atler@pld-linux.org> e9f19a5
- up to 20191112

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> 33da721
- up to 20190918

* Wed Jun 19 2019 Jan Palus <atler@pld-linux.org> 8f0e22c
- up to 20190618

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> e327e9b
- up to 20190514a

